Bug 133721 - [PATCH]: finance/gnucash update to 2.2.9
Summary: [PATCH]: finance/gnucash update to 2.2.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Johnson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-14 11:00 UTC by Guido Falsi
Modified: 2009-05-11 20:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.97 KB, patch)
2009-04-14 11:00 UTC, Guido Falsi
no flags Details | Diff
gnucash.diff (9.75 KB, patch)
2009-05-04 23:30 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2009-04-14 11:00:05 UTC
Update gnucash to 2.2.9.

Maintainer is CCed.

This update fixes a core dump introduced after the last gnome upgrade
to v 2.24 which effectively renders the port broken(core dumping
when opening any account).

While I was here also tested the port for MAKE_JOBS and have marked
is SAFE.

This PR obsoletes ports/132073.

Since this patch effectiely fixes the port it would be good to have
it committed during the freeze before 7.2.

How-To-Repeat: 
Problem show only with gnucash 2.2.7 installed on top of gnome 2.24
libraries as actually present in the ports tree.

Create a new accounts hierarchy(or open our own gnucash file), and
then try opening an account, this dumps core.

From a fast search on google (1) this looks like a known bug in 2.2.7,
fixed in later versions.

#1 https://bugzilla.redhat.com/show_bug.cgi?id=474511
Comment 1 Edwin Groothuis freebsd_committer 2009-04-14 11:12:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2009-04-14 12:19:16 UTC
Small followup to correct myself.

The update braking this port was the last one to gnome 2.26, not
2.24 as stated.

-- 
Guido Falsi <mad@madpilot.net>
Comment 3 Guido Falsi freebsd_committer 2009-04-14 14:59:44 UTC
Still another followup to note that this update also incorporates the
changes requested in ports/129587, because the patch suggested there
has been included upstream.

-- 
Guido Falsi <mad@madpilot.net>
Comment 4 gaijin.k 2009-04-28 02:43:48 UTC
FWIW: this patch (manually applied) works for me on 

7.1-RELEASE-p3 FreeBSD 7.1-RELEASE-p3 #0: Thu Mar 12 10:34:30 EDT 2009
(amd64) 
7.2-PRERELEASE FreeBSD 7.2-PRERELEASE #0: Wed Apr 22 13:23:34 EDT 2009
(i386)

both with ports tree up-to-date as of 4/26/2009.

Thank you.
-- 
Alexandre Kovalenko (ÐлекÑÐ°Ð½Ð´Ñ Ðоваленко)
Comment 5 Guido Falsi freebsd_committer 2009-05-04 23:30:35 UTC
Attaching a revised patch which fixes  2.2.9 build with goffice 0.7.5 
now in the ports tree.

Obtained from gnucash trac[1].

added:

files/patch-src-gnome-utils-gnc-html-graph-gog.c



  [1] http://svn.gnucash.org/trac/changeset/18066

-- 
Guido Falsi <mad@madpilot.net>
Comment 6 Pav Lucistnik freebsd_committer 2009-05-11 20:15:13 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2009-05-11 20:16:11 UTC
pav         2009-05-11 19:15:52 UTC

  FreeBSD ports repository

  Modified files:
    finance/gnucash      Makefile distinfo pkg-plist 
  Added files:
    finance/gnucash/files 
                          patch-src-gnome-utils-gnc-html-graph-gog.c 
  Log:
  - Update to 2.2.9 (and fix build with new goffice)
  
  PR:             ports/133721
  Submitted by:   Guido Falsi <mad@madpilot.net>
  Approved by:    maintainer timeout (ahze; 27 days)
  
  Revision  Changes    Path
  1.129     +2 -2      ports/finance/gnucash/Makefile
  1.43      +3 -3      ports/finance/gnucash/distinfo
  1.1       +131 -0    ports/finance/gnucash/files/patch-src-gnome-utils-gnc-html-graph-gog.c (new)
  1.49      +9 -0      ports/finance/gnucash/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"